import 'package:cs_resources/generated/assets.dart';
import 'package:cs_resources/generated/l10n.dart';

class HomeState {
  final homeCategory = [
    {
      'category_name': S.current.facility,
      'category_icon': Assets.mainHomeFacilityIcon,
    },
    {
      'category_name': S.current.form,
      'category_icon': Assets.mainHomeFormsIcon,
    },
    {
      'category_name': S.current.notice_board,
      'category_icon': Assets.mainHomeBoticeBoardIcon,
    },
    {
      'category_name': S.current.property,
      'category_icon': Assets.mainHomePropertyIcon,
    },
    {
      'category_name': S.current.service,
      'category_icon': Assets.mainHomeServiceIcon,
    },
    {
      'category_name': S.current.community,
      'category_icon': Assets.mainHomeCommunityIcon,
    }
  ];

  final lastNews = [
    {
      'category_name': S.current.property,
      'category_icon': Assets.mainHomePropertyNews,
      'icon_width': 38.5,
      'icon_height': 39.5,
      'margin_right': 13.0,
    },
    {
      'category_name': S.current.internal,
      'category_icon': Assets.mainHomeInternalNews,
      'icon_width': 33.5,
      'icon_height': 41.0,
      'margin_right': 11.0,
    },
    {
      'category_name': S.current.info,
      'category_icon': Assets.mainHomeInfoNews,
      'icon_width': 44.0,
      'icon_height': 42.0,
      'margin_right': 6.0,
    },
    {
      'category_name': S.current.publish,
      'category_icon': Assets.mainHomePublishNews,
      'icon_width': 40.5,
      'icon_height': 42.5,
      'margin_right': 11.0,
    }
  ];


  final manage_guide = [
    {
      'category_name': S.current.introduction_to_info_pack,
      'category_icon': Assets.mainIntroductionGuide,
      'icon_width': 118.5,
      'icon_height': 73.5,
      'margin_top': 12.0,
    },
    {
      'category_name': S.current.your_roles_responsibilities,
      'category_icon': Assets.mainRolesGuide,
      'icon_width': 116,
      'icon_height': 78,
      'margin_top': 8.5,
    },
    {
      'category_name': S.current.property_guide,
      'category_icon': Assets.mainPropertyGuide,
      'icon_width': 117.0,
      'icon_height': 76.5,
      'margin_top': 10.0,
    },
  ];

  //模拟数据
  final lastTrans = [
    {
      'title': '18 Sep 2024 Blk 39 #09-XX',
      'price': '1,001 - 1,337 sqft',
      'total': '1.338 M',
      'unit': '',
    },
    {
      'title': 'Jul 2024  Blk XX #XX to XX',
      'price': '1,100 - 1,200 sqft',
      'total': '4,000 M',
      'unit': 'per month',
    },
  ];
}
