import 'package:flutter/material.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:riverpod_annotation/riverpod_annotation.dart';
import 'package:router/componentRouter/profile_service.dart';

import 'profile_component_service_impl.dart';

part 'profile_service_provider.g.dart';

@Riverpod(keepAlive: true)
ProfileService profileService(Ref ref) {
  return ProfileComponentServiceImpl();
}